# $Revision: 1.6 $, $Date: 2006/04/25 18:27:57 $
# TODO:
# - check dir
# - separate locales
%define		_plugin	check_quota
%define		mversion	1.2.7
Summary:	Check Quota plugin for SquirrelMail
Summary(pl):	Wtyczka do sprawdzania limitw dyskowych
Name:		squirrelmail-plugin-%{_plugin}
Version:	1.4
Release:	1
License:	GPL
Group:		Applications/Mail
Source0:	http://www.squirrelmail.org/plugins/%{_plugin}-%{version}-%{mversion}.tar.gz
# Source0-md5:	b9b6c50445dc68d29c6af6b9c11e3481
URL:		http://www.squirrelmail.org/
Requires:	squirrelmail >= 1.4.6-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%{_datadir}/squirrelmail/plugins/%{_plugin}
%define		_webapps	/etc/webapps
%define		_sysconfdir	%{_webapps}/squirrelmail

%description
This plugin includes the functionality of two plugins, which are Quota
Usage plugin and Disk Quota plugin.

It can retrieve the current quota usage from the IMAP server using the
IMAP4 QUOTA extension. It displays size-based quotas and/or
message-count quotas, as given by the IMAP server. This function comes
from Quota Usage plugin.

Also it can retrieve the current quota usage from UNIX quota command
for UNIX-quota based systems. It displays size-based quotas and/or
file-count quotas, as retreived from the quota command. This function
comes from Disk Quota plugin.

%description -l pl
Wtyczka czy funkcjonalno dwch innych wtyczek - Quota Usage i Disk
Quota.

Mona pobra z serwera IMAP aktualne uycie przestrzeni dyskowej przy
uyciu rozszerzenia IMAP4 QUOTA. Wywietla limity oparte o rozmiar
i/lub liczb wiadomoci zgodnie z tym, co poda serwer IMAP. Ta
funkcja pochodzi z wtyczki Quota Usage.

Mona take pobra aktualne uycie przestrzeni dyskowej z uniksowego
polecenia quota. Wywielta limity oparte o rozmiar i/lub liczb plikw
zgodnie z tym co podao polecenie quota. Ta funkcja pochodzi z wtyczki
Disk Quota.

%prep
%setup -q -n %{_plugin}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_plugindir} $RPM_BUILD_ROOT%{_sysconfdir}

install *.php $RPM_BUILD_ROOT%{_plugindir}
cp -r images swf locale $RPM_BUILD_ROOT%{_plugindir}
mv config.php.sample $RPM_BUILD_ROOT%{_sysconfdir}/check_quota_config.php
ln -s %{_sysconfdir}/check_quota_config.php $RPM_BUILD_ROOT%{_plugindir}/config.php

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc INSTALL README FAQ TRANSLATING OLDCHANGELOG
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/check_quota_config.php
%dir %{_plugindir}
%{_plugindir}/*.php
%{_plugindir}/swf
%{_plugindir}/locale
%{_plugindir}/images

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: squirrelmail-plugin-check_quota.spec,v $
Revision 1.6  2006/04/25 18:27:57  glen
- use _webapps macro to have unified specs

Revision 1.5  2006/04/25 13:15:15  hawk
- keep config in /etc/webapps/squirrelmail, symlink it in plugin dir
- bumped R: squirrelmail to 1.4.6-1 to be sure it has R: webapps
- release 1

Revision 1.4  2005/04/24 22:02:51  matowy
- BuildArch noarch

Revision 1.3  2005/04/24 21:58:40  matowy
- up to 1.4
- proprer plugindir

Revision 1.2  2005/02/24 19:20:09  qboosh
- real pl desc

Revision 1.1  2005/02/24 12:14:31  undefine
- initial
